<template>
    <div>
        <ClientList
            :clients="pageList"
            :title="'contactedList'"
        ></ClientList>

        <UiPagination
            :totalList="contactedList"
            @changePage="changePage"
        ></UiPagination>
    </div>
</template>

<script lang="ts">
import { Vue, Component, Prop } from 'nuxt-property-decorator';
import { Clients } from '../clientReservedList.vue';

@Component
export default class ClientContactedList extends Vue {
    @Prop() contactedList!: Clients[];
    pageList: Clients[] = [];

    changePage(pageList: Clients[]) {
        this.pageList = pageList;
    }
}
</script>